nxt.http.callers

## Class GetTradesCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetTradesCall>
  - - nxt.http.callers.GetTradesCall

-     public class GetTradesCall
      extends APICall.Builder<GetTradesCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetTradesCall` | `account(long account)`
    `GetTradesCall` | `account(java.lang.String account)`
    `GetTradesCall` | `asset(long asset)`
    `GetTradesCall` | `asset(java.lang.String asset)`
    `static GetTradesCall` | `create()`
    `GetTradesCall` | `firstIndex(int firstIndex)`
    `GetTradesCall` | `includeAssetInfo(boolean includeAssetInfo)`
    `GetTradesCall` | `lastIndex(int lastIndex)`
    `GetTradesCall` | `requireBlock(java.lang.String requireBlock)`
    `GetTradesCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetTradesCall` | `timestamp(int timestamp)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetTradesCall create()

    - #### requireLastBlock

          public GetTradesCall requireLastBlock(java.lang.String requireLastBlock)

    - #### firstIndex

          public GetTradesCall firstIndex(int firstIndex)

    - #### lastIndex

          public GetTradesCall lastIndex(int lastIndex)

    - #### includeAssetInfo

          public GetTradesCall includeAssetInfo(boolean includeAssetInfo)

    - #### asset

          public GetTradesCall asset(java.lang.String asset)

    - #### asset

          public GetTradesCall asset(long asset)

    - #### account

          public GetTradesCall account(java.lang.String account)

    - #### account

          public GetTradesCall account(long account)

    - #### requireBlock

          public GetTradesCall requireBlock(java.lang.String requireBlock)

    - #### timestamp

          public GetTradesCall timestamp(int timestamp)